# Account status

> account_get_status — Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time

Source: https://x.builera.app/docs/en/reference/account_get_status

`account_get_status` · Reads saved data

Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time and UTC offset — use it to turn "8 am tomorrow" into an ISO time for post_schedule), test mode, agent version and which tools its agent supports.

| | |
|---|---|
| REST | `GET /api/public/v1/accounts/{account}/status` |
| MCP tool | `account_get_status` |
| Permission needed | `view` — Owner, Manager, Operator, Viewer |
| Scope group | `accounts:read` |
| Group | Core: X accounts, jobs, tool search |
| Shown up front in profiles | every profile (core set) |

## Input {#input}

| Field | Type | Required | Description |
|---|---|---|---|
| `account` | string (1–100 chars) | Yes | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |

## Result {#output}

Returned in the `{ data, meta }` envelope, without creating a job on X. Lists include `next_cursor` and `has_more`.

## Example {#example}

### Call over REST {#example-rest}

```bash
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/status" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"
```

### Call over MCP {#example-mcp}

```json
{
  "method": "tools/call",
  "params": {
    "name": "account_get_status",
    "arguments": {
      "account": "@your_x_account"
    }
  }
}
```

## Errors you may get {#errors}

| Code | HTTP | Retryable |
|---|---|---|
| [`unauthorized`](/docs/en/errors/unauthorized) | 401 | No |
| [`key_expired`](/docs/en/errors/key_expired) | 401 | No |
| [`integration_revoked`](/docs/en/errors/integration_revoked) | 401 | No |
| [`connection_not_linked`](/docs/en/errors/connection_not_linked) | 403 | No |
| [`integration_paused`](/docs/en/errors/integration_paused) | 403 | No |
| [`workspace_integrations_paused`](/docs/en/errors/workspace_integrations_paused) | 403 | No |
| [`integration_authorization_lost`](/docs/en/errors/integration_authorization_lost) | 403 | No |
| [`workspace_suspended`](/docs/en/errors/workspace_suspended) | 403 | No |
| [`forbidden`](/docs/en/errors/forbidden) | 403 | No |
| [`invalid_input`](/docs/en/errors/invalid_input) | 422 | No |
| [`rate_limited`](/docs/en/errors/rate_limited) | 429 | Yes |
| [`internal`](/docs/en/errors/internal) | 500 | Yes |
| [`ambiguous_account`](/docs/en/errors/ambiguous_account) | 409 | No |
| [`account_not_allowed`](/docs/en/errors/account_not_allowed) | 403 | No |
| [`not_found`](/docs/en/errors/not_found) | 404 | No |

[Back to all operations](/docs/en/reference)
